## archivemount 0.6.1

=== debian/changelog ===
archivemount (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: Bug#587029)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 09 Jul 2010 22:08:17 +0300
