## archivemount 0.8.1

=== debian/changelog ===
archivemount (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped S-V to 3.9.4.
  * Lintian cleaning.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Thu, 15 Aug 2013 19:12:16 +0300

archivemount (0.6.1-3) unstable; urgency=low

  * Bumped S-V to 3.9.3
  * Fixed lintian warnings about debian/rules file concerning build-arch
    and build-indep recommended target.
  * Fixed lintian warning about debian/copyright file concerning template
    markers.
  * Changed typographic quotation marks in debian/control file to 
    single quotation marks. (Closes: Bug#687009)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 09 Sep 2012 17:25:39 +0300

archivemount (0.6.1-2) unstable; urgency=low

  * Updated S-V to 3.9.2
  * Changed Architecture field in debian/control file so the package compiles
    only in linux specific architectures.
    (Closes: Bug#613119)
  * Change the dependency on fuse-utils to fuse (>=2.8.5-2). Since
    fuse 2.8.5-2 fuse-utils package is only a transitional dummy package.
  * Change debian/rules to keep a backup copy of config.guess in the
    configure target which will be restored in the clean target, to keep
    the diff.gz clean. Thanks to Sven Hoexter.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 28 May 2011 15:32:37 +0200
