=== debian/control ===
Source: archivemount
Section: utils
Priority: optional
Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://www.cybernoia.de/software/archivemount/

Package: archivemount
Architecture: linux-any 
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse (>=2.8.5-2)
Description: mounts an archive for access as a file system
 archivemount is a FUSE based file system for Unix variants, including Linux.
 Its purpose is to mount archives to a mount point where it can be read from 
 or written to as with any other file system.
 This makes accessing the contents of the archive, which maybe compressed,
 transparent to other programs, without decompressing them.
 The archive formats that archivemount supports are:
  *   old-style tar archives,
  .
  *   most variants of the POSIX 'ustar' format,
  .
  *   the POSIX 'pax interchange' format,
  .
  *   GNU-format tar archives,
  .
  *   most common cpio archive formats,
  .
  *   ISO9660 CD images (with or without RockRidge extensions),
  .
  *   Zip archives.
  .
  *   two different variants of shar archives.   
  .
 archivemount is FUSE (Filesystem in USErspace).
