=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,14 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 INSTALL_PROGRAM = /usr/bin/install -c
-CFLAGS = -Wall -g
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -g
+LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -22,23 +28,20 @@
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp configure-stamp
+	rm -rf autom4te.cache
 	[ ! -f Makefile ] || $(MAKE) distclean
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
 	dh_clean 
 
 install: build
@@ -57,6 +60,7 @@
 	dh_install
 	dh_installman
 	dh_link
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms
