## archivemount 0.8.3

=== debian/changelog ===
archivemount (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.5.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 29 Jun 2014 11:39:19 +0300
