=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount
