## archivemount 0.8.5

=== debian/changelog ===
archivemount (0.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Tue, 30 Jun 2015 00:08:46 +0300

archivemount (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.6.
  * Lintian cleaning.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sat, 30 May 2015 20:11:47 +0300
