=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: archivemount
 Section: utils
 Priority: optional
-Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
+Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount
