=== debian/watch ===
version=3
http://www.cybernoia.de/software/archivemount/archivemount-(.*)\.tar\.gz
