## archivemount 0.8.7

=== debian/changelog ===
archivemount (0.8.7-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:19:38 +1100

archivemount (0.8.7-1build2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:17:16 +0000

archivemount (0.8.7-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:27 +0000

archivemount (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V to 3.9.8.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sat, 30 Jul 2016 13:11:49 +0300
