=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: archivemount
 Section: utils
 Priority: optional
-Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 7.0.0), autotools-dev, libfuse-dev, pkg-config, libarchive-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.cybernoia.de/software/archivemount/
 
 Package: archivemount
