## archivemount 1

=== debian/changelog ===
archivemount (1-1) unstable; urgency=medium

  * New upstream version 1 (+ changelog & NEWS)
    (Closes: #687710, #799563, #832823, #838597, #891749, #974679)
  * New debian/
    + Vcs-Git: https://salsa.debian.org/nabijaczleweli/archivemount.git
    + Standards-Version:  3.9.8 -> 4.7.0
    + debhelper compat level: 7 -> 13

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 20 Aug 2024 17:52:36 +0200
