=== debian/control ===
Source: archivemount
Section: utils
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.7.0
Homepage: https://sr.ht/~nabijaczleweli/archivemount-ng
Rules-Requires-Root: no
# Also at https://git.sr.ht/~nabijaczleweli/archivemount.deb
Vcs-Git: https://salsa.debian.org/nabijaczleweli/archivemount.git
Vcs-Browser: https://salsa.debian.org/nabijaczleweli/archivemount
Build-Depends: debhelper,
               debhelper-compat (= 13),
               libfuse3-dev,
               libarchive-dev,
               pkgconf,
               liblz4-dev

Package: archivemount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse3
Description: mounts an archive or compressed file for access as a filesystem
 archivemount mounts an optionally-compressed archive as a FUSE file system,
 also allowing it to be written to and updated on unmount.
 .
 A plethora of archive formats are supported: tar (all variants), ISO9660,
 Zip/RAR, cpio, ar...
 .
 With -o formatraw the same can be done with any compressed file.
