=== debian/tests/control ===
Tests: test
Depends: @, fuse3
