## archivemount 1a

=== debian/changelog ===
archivemount (1a-1) unstable; urgency=medium

  * d/tests/test: shebang /bin/test(?!) -> /bin/sh
  * New upstream version 1a
  * Update upstream changelog
  * Update upstream NEWS
  * d/tests/control: Restrictions: isolation-machine to load fuse.ko

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 21 Dec 2024 16:00:13 +0100
