=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libfuse3-dev,
                libarchive-dev,
                pkgconf,
-               liblz4-dev
 
 Package: archivemount
 Architecture: any
