=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_OPTIONS += notrimdch


export PREFIX := /usr
export VERSION := $(shell IFS="$$IFS()" read -r _ v _ < debian/changelog && echo "$$v")
export TZ := UTC0


override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs README
	cp debian/NEWS.upstream debian/archivemount/usr/share/doc/archivemount/NEWS

# Test needs fuse3, we run this as an autopkgtest
override_dh_auto_test:


%:
	dh $@
