## archivemount 1b

=== debian/changelog ===
archivemount (1b-1) unstable; urgency=medium

  * New upstream version 1b (+ changelog & NEWS)
    Closes: #1105758

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 14 May 2025 16:06:03 +0200
