=== debian/tests/control ===
Tests: test
Depends: @, fuse3
Restrictions: isolation-machine
# Needs to load fuse.ko
